curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/virtual/applications/{application_id} \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/virtual/applications/{application_id}"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/virtual/applications/{application_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"account_id": "b1b89684-c2c4-4d54-b8a8-3572727fd120",
"application_id": "550e8400-e29b-41d4-a716-446655440001",
"country": "BH",
"currency": "EUR",
"direct_id": "0",
"public_version": 1,
"results": [
{
"payment_method": "SWIFT",
"status": "SUBMITTED",
"virtual_accounts": [],
"error": null
}
],
"status": "SUBMITTED"
}
}Retrieve Virtual Account Application
Returns the latest details of an application owned by the authenticated account. For a sub-account application, pass the same account ID in x-on-behalf-of.
Use application_id to identify the application and public_version to ignore older responses or webhook events. A missing application and an application owned by another account return the same HTTP 400 error.
See Integrate Virtual Accounts with the API for polling, webhook recovery, and status handling.
Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Path Parameters
Application identifier returned by Create Virtual Account and application webhook events.
Response
OK - Virtual Account application returned successfully.
Show child attributes
Show child attributes

